---
- fail: msg='Missing mandatory variables "search_index_monitoring_recipients" and "search_index_monitoring_from_address"'
  when: (search_index_monitoring) and ((search_index_monitoring_recipients == "") or (search_index_monitoring_recipients is none) or (search_index_monitoring_from_address == "") or (search_index_monitoring_from_address is none))

- name: Install gawk
  become: yes
  package:
    name: ["gawk"]
    state: present

- name: Create send-monitoring-report.sh
  template:
    src: "send-monitoring-report.sh.j2"
    dest: "{{ base_dir }}/bin/send-monitoring-report.sh"
    mode: 0700

- name: Configure cron schedule - Import Monitoring
  cron:
    name: "Import Monitoring"
    hour: "{{ search_index_monitoring_schedule_hour }}"
    minute: "{{ search_index_monitoring_schedule_minute }}"
    job: "{{ base_dir }}/bin/send-monitoring-report.sh"
    state: "{{ 'present' if search_index_monitoring else 'absent' }}"

- name: Configure cron schedule - Create metadata statistics
  cron:
    name: "Create metadata statistics"
    weekday: "{{ search_index_statistics_schedule_weekday }}"
    hour: "{{ search_index_statistics_schedule_hour }}"
    minute: "{{ search_index_statistics_schedule_minute }}"
    job: "{{ base_dir }}/bin/create-statistics.sh"
    state: "{{ 'present' if search_index_statistics else 'absent' }}"

- name: Configure cron schedule - request analysis
  cron:
    name: "Elasticsearch request log analysis"
    hour: "1"
    minute: "0"
    job: "python3 {{ base_dir }}/bin/analyze-requests.py `date +'\\%Y-\\%m-\\%d' -d 'yesterday'` > {{ search_index_logdir }}/analyze-es-requests.log 2>&1"
    state: "{{ 'present' if search_index_backend_features_log_elasticsearch_requests == 'true' else 'absent' }}"
